<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Ecommerce</title>
    <link rel="stylesheet" th:href="@{/css/Design.css}">
</head>
<body>
<header th:replace="~{common/header}">My header here</header>

<div class="container">
    <a class="container-item" th:each="product: ${products}"  th:href="@{/product/view/{id}(id=${product.id})}">
        <div>
    <!--        <div class="item-image">-->
    <!--            <img src="./images/Angry Miao Cyberblade.png" th:alt="${product.name}">-->
    <!--        </div>-->
            <div class="item-details">
                <p th:text="${product.name}">Product Name</p>
                <p th:text="${product.price}">Product Price</p>
                <p th:text="${product.seller.username}">Seller Name</p>
            </div>
        </div>
    </a>

</div>
<!-- To do paging !-->
<div class="page-navigation">
    <span>Page 1 of 5</span>
    <span>1</span>
    <span>2</span>
    <span>3</span>
    <span>4</span>
    <span>5</span>
</div>


<footer th:replace="~{common/footer}">My footer here</footer>
</body>
</html>